%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Color management tools for GNOME
Name:		gnome-color-manager
Version:	3.36.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		http://projects.gnome.org/gnome-color-manager/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(clutter-1.0) >= 1.9.4
BuildRequires:	pkgconfig(clutter-gtk-1.0)
BuildRequires:	pkgconfig(colord) >= 0.1.28
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(gio-2.0) >= 2.25.9
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glib-2.0) >= 2.14.0
BuildRequires:	pkgconfig(gnome-desktop-3.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.91.0
BuildRequires:	pkgconfig(lcms2) >= 2.2
BuildRequires:	pkgconfig(libcanberra-gtk3) >= 0.10
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(mash-0.2)
BuildRequires:	pkgconfig(vte-2.91)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(colord-gtk) >= 0.1.20
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	docbook-utils
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	yelp-tools
BuildRequires:	gnome-common
BuildRequires:	meson
BuildRequires:	desktop-file-utils
Requires:	adwaita-icon-theme
Requires:	colord
Obsoletes: dockbarx
Obsoletes: gnome-python-desktop
Obsoletes: gnome-python-gnomekeyring
Obsoletes: gnome-python-gnomeprint
Obsoletes: gnome-python-gtksourceview
Obsoletes: gnome-python-gtop
Obsoletes: gourmet
Obsoletes: pyroom

%description
gnome-color-manager is a session framework that makes it easy to manage,
install and generate color profiles in the GNOME desktop.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --all-name --with-gnome

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration" \
  --dir %buildroot%{_datadir}/applications %buildroot%{_datadir}/applications/*
  
rm -rf %buildroot/usr/share/help

%files -f %{name}.lang
%{_bindir}/gcm-*
%{_datadir}/%{name}
%{_datadir}/man/man1/*
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/scalable/*/*.svg
%{_datadir}/applications/*.desktop
%{_datadir}/metainfo/*.appdata.xml


%changelog
* Sat Feb 13 2021 tex - 3.36.0-1pclos2021
- new version
